System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The limited object serialization (LOS) formatter is designed for highly compact ASCII format serialization. This class supports serializing any object graph, but is optimized for those containing strings, arrays, and hash tables. It offers second order optimization for many of the .NET Framework primitive types.

This is a private format and remains consistent only for the lifetime of a Web request.

Serializes the view state for a Web Forms page. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class using the specified enable flag and machine authentication code (MAC) key modifier.

  true to enable view-state MAC; otherwise, false.
  The modifier for the MAC key.
- Constructor
  To be added.

  Initializes a new instance of the class using the specified enable flag and machine authentication code (MAC) key modifier.

  true to enable view-state MAC; otherwise, false.
  The modifier for the MAC key.
  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  This version of the method is used to transform the view-state value contained in a object to a LOS-formatted object.

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Transforms the view-state value contained in a object to a limited object serialization (LOS)-formatted object.

  A LOS-formatted object.

  A that contains the view-state value to transform. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This version of the method is used to transform the view-state value contained in a object to a LOS-formatted object.

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Transforms the view-state value contained in a object to a limited object serialization (LOS)-formatted object.

  A LOS-formatted object.

  A that contains the view-state value to transform. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This version of the method is used to transform the specified view-state value to a LOS-formatted object.

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Transforms the specified view-state value to a limited object serialization (LOS)-formatted object.

  A LOS-formatted object.

  The view-state value to transform. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This version of the method is used to transform a LOS-formatted object into a view-state value. The results are then placed into a object.

  Transforms a limited object serialization (LOS)-formatted object into a view-state value and places the results into a object.

  The to receive the transformed value. The LOS-formatted object to transform into a view-state value. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This version of the method is used to transform a LOS-formatted object into a view-state value. The results are then placed into a object.

  Transforms a limited object serialization (LOS)-formatted object into a view-state value and places the results into a object.

  The to receive the transformed value. The LOS-formatted object to transform into a view-state value. 1.0.5000.0 2.0.0.0